"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CAClient = void 0;
const client_1 = require("../client");
const util_1 = require("../util");
const format_1 = require("./format");
class CAClient {
    constructor(options) {
        this.fulcio = new client_1.Fulcio({ baseURL: options.fulcioBaseURL });
    }
    async createSigningCertificate(identityToken, publicKey, challenge) {
        const request = (0, format_1.toCertificateRequest)(publicKey, challenge);
        const certificate = await this.fulcio.createSigningCertificate(identityToken, request);
        return util_1.pem.split(certificate);
    }
}
exports.CAClient = CAClient;
